summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Edinaldo P. Silva <edps.mundognu@gmail.com>2015-05-05 06:56:10 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-05-05 06:56:10 +0700
commit97245f63724d5539e0e65c44d83b5aab2cebd7f5 (patch)
tree4bfbe4ee0ef86a1eec50aaaa916c8eb79421ba18
parent6321e5178f5ee469268a1258fa5e35c364b1b5d1 (diff)
downloadslackbuilds-97245f63724d5539e0e65c44d83b5aab2cebd7f5.tar.gz
slackbuilds-97245f63724d5539e0e65c44d83b5aab2cebd7f5.tar.xz
desktop/faba-icon-theme: Added (gnome icon theme).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--desktop/faba-icon-theme/README5
-rw-r--r--desktop/faba-icon-theme/doinst.sh13
-rw-r--r--desktop/faba-icon-theme/faba-icon-theme.SlackBuild60
-rw-r--r--desktop/faba-icon-theme/faba-icon-theme.info10
-rw-r--r--desktop/faba-icon-theme/slack-desc19
5 files changed, 107 insertions, 0 deletions
diff --git a/desktop/faba-icon-theme/README b/desktop/faba-icon-theme/README
new file mode 100644
index 0000000000..5cd2b4dca2
--- /dev/null
+++ b/desktop/faba-icon-theme/README
@@ -0,0 +1,5 @@
+Faba icon theme for GNOME, XFCE and other DEs|WMs GTK+.
+
+Faba is a Linux desktop icon theme. It has designed with simplicity and compliance to standards in mind.
+Faba's purpose is serve as a base icon theme to others (such as Moka Icon Theme).
+It comprises only of a system icons –folders, mimetypes, toolbar icons, etc.
diff --git a/desktop/faba-icon-theme/doinst.sh b/desktop/faba-icon-theme/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/desktop/faba-icon-theme/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/faba-icon-theme/faba-icon-theme.SlackBuild b/desktop/faba-icon-theme/faba-icon-theme.SlackBuild
new file mode 100644
index 0000000000..461ecf7622
--- /dev/null
+++ b/desktop/faba-icon-theme/faba-icon-theme.SlackBuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+# Slackware build script for faba-icon-theme
+# Homepage: http://mokaproject.com/faba-icon-theme/
+
+# Copyright 2015 Edinaldo P. Silva, Rio de Janeiro, Brazil
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM="faba-icon-theme"
+VERSION=${VERSION:-4.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+CWD=$(pwd)
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+
+mkdir -p $PKG/usr/share/icons
+cp -a Faba $PKG/usr/share/icons
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp AUTHORS COPYING INSTALL LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/faba-icon-theme/faba-icon-theme.info b/desktop/faba-icon-theme/faba-icon-theme.info
new file mode 100644
index 0000000000..97871a17f2
--- /dev/null
+++ b/desktop/faba-icon-theme/faba-icon-theme.info
@@ -0,0 +1,10 @@
+PRGNAM="faba-icon-theme"
+VERSION="4.0"
+HOMEPAGE="http://mokaproject.com/moka-icon-theme/"
+DOWNLOAD="https://github.com/moka-project/faba-icon-theme/raw/master/faba-icon-theme-4.0.tar.gz"
+MD5SUM="6b803539707b963c9baf53b705daa573"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/desktop/faba-icon-theme/slack-desc b/desktop/faba-icon-theme/slack-desc
new file mode 100644
index 0000000000..fd890c8900
--- /dev/null
+++ b/desktop/faba-icon-theme/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+faba-icon-theme: faba-icon-theme (gnome icon theme)
+faba-icon-theme:
+faba-icon-theme: Faba icon theme for Slackware.
+faba-icon-theme:
+faba-icon-theme: Faba is a Linux desktop icon theme. It has designed with simplicity
+faba-icon-theme: and compliance to standards in mind. Faba's purpose is serve as a
+faba-icon-theme: base icon theme to others (such as Moka Icon Theme). It comprises
+faba-icon-theme: only of a system icons –folders, mimetypes, toolbar icons, etc.
+faba-icon-theme:
+faba-icon-theme: Home Page: http://mokaproject.com/faba-icon-theme/
+faba-icon-theme: